Name:           bisho
Version:        0.17
Release:        2%{?dist}
Summary:        Moblin configuration tool for mojito social network aggregator

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.moblin.org/
Source0:        http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libsoup-devel
BuildRequires: mojito-devel
BuildRequires: nbtk-devel
BuildRequires: rest-devel
BuildRequires: unique-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gettext
# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires: gvfs

%description
A tool to configure user and account details for the mojito social network 
aggregation service.

%prep
%setup -q

# Don't run configure from autogen.sh
sed -i 's|echo|exit 0|g' autogen.sh
./autogen.sh

%build
%configure --disable-static --disable-schemas
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/bisho.schemas >/dev/null || :
fi

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/bisho.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/bisho.schemas > /dev/null || :
fi

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS TODO
%{_bindir}/bisho
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/bisho.png

%changelog
* Thu Dec  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-2
- Require gvfs to fix issues with gtk_show_uri

* Fri Nov 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-1
- New upstream 0.17 release

* Mon Oct 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.16-1
- New upstream 0.16 release

* Wed Oct 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.15-1
- New upstream 0.15 release

* Mon Oct 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.14-2
- Add new nbtk dep

* Mon Oct 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.14-1
- New upstream 0.14 release

* Mon Sep  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-3
- Rebuild

* Mon Sep  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-2
- Drop other changes from upstream patch

* Mon Sep  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-1
- New upstream 0.12 release, drop upstream patch

* Thu Sep  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.11-4
- Update gconf scriptlets for schema file name change

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.11-3
- Add upstream patch for gconf schema name

* Sun Aug 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.11-2
- Add missing dep for new release

* Wed Aug 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.11-1
- New upstream 0.11 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.7-3
- Further updates from review request

* Thu Aug  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.7-2
- Feedback from the review request

* Fri Jul 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.7-1
- New upstream 0.10.7 release, add translations

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.2-1
- Initial packaging
